> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Characterization

> This endpoint retrieves a characterization.



## OpenAPI

````yaml https://api.ionq.co/v0.3/api-docs GET /characterizations/{UUID}
openapi: 3.0.0
info:
  title: IonQ Cloud Platform API
  version: v0.3
  description: |-
    *Last updated: May 6, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform
  contact:
    name: IonQ
    email: support@ionq.co
    url: https://ionq.com/
  x-logo:
    url: https://static.ionq.co/images/ionq-logo-dark.png
    altText: IonQ Logo
    href: '#'
servers:
  - url: https://api.ionq.co/v0.3/
security:
  - API_Key: []
paths:
  /characterizations/{UUID}:
    get:
      tags:
        - characterizations
      summary: Get a Characterization
      description: This endpoint retrieves a characterization.
      operationId: getCharacterization
      parameters:
        - $ref: '#/components/parameters/uuid'
      responses:
        '200':
          $ref: '#/components/responses/GetCharacterization'
      x-codeSamples:
        - lang: curl
          source: >
            curl
            "https://api.ionq.co/v0.3/characterizations/aa54e783-0a9b-4f73-ad2f-63983b6aa4a8"
            \
              -H "Authorization: apiKey your-api-key"
components:
  parameters:
    uuid:
      name: UUID
      in: path
      required: true
      example: 617a1f8b-59d4-435d-aa33-695433d7155e
      description: A UUID identifying a specific resource
      schema:
        type: string
        format: uuid
  responses:
    GetCharacterization:
      description: Successfully retrieved current characterization
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Characterization'
  schemas:
    Characterization:
      type: object
      description: Quantum hardware characterization data.
      properties:
        id:
          type: string
          description: UUID of the characterization.
          format: uuid
        date:
          type: integer
          description: Time of the measurement, from Unix epoch in seconds.
        backend:
          type: string
          description: The calibrated QPU being characterized.
          enum:
            - qpu.harmony
            - qpu.aria-1
            - qpu.aria-2
            - qpu.forte-1
            - qpu.forte-enterprise-1
        qubits:
          type: integer
          description: The number of qubits available.
          minimum: 0
        connectivity:
          type: array
          description: >-
            An array of valid, unordered tuples of possible qubits for executing
            two-qubit gates (e.g., `[[0, 1], [0, 2], [1, 2]]`)
          example:
            - - 0
              - 1
            - - 0
              - 2
            - ...
            - - 10
              - 9
          items:
            type: array
            items:
              type: integer
        fidelity:
          type: object
          description: >
            Fidelity for single-qubit (`1q`) and two-qubit (`2q`) gates, and
            State Preparation and Measurement (`spam`) operations.

            Currently provides only mean fidelity; additional statistical data
            will be added in the future.
          required:
            - spam
          properties:
            spam:
              type: object
              description: SPAM error correction information.
              required:
                - mean
              properties:
                mean:
                  type: number
                  description: Mean SPAM value.
                  minimum: 0
                stderr:
                  type: number
                  description: SPAM error.
                  minimum: 0
                median:
                  type: number
                  description: Median SPAM error.
                  minimum: 0
        timing:
          type: object
          description: >-
            Time, in seconds, of various system properties: `t1` time, `t2`
            time, `1q` gate time, `2q` gate time, `readout` time, and qubit
            `reset` time.
          required:
            - readout
            - reset
            - 1q
            - 2q
            - t1
            - t2
          properties:
            readout:
              type: number
              description: Readout time.
            reset:
              type: number
              description: Qubit reset time.
            1q:
              type: number
              description: 1Q gate time.
            2q:
              type: number
              description: 2Q gate time.
            t1:
              type: number
              description: Qubit lifetime.
            t2:
              type: number
              description: Qubit coherence time.
  securitySchemes:
    API_Key:
      type: apiKey
      in: header
      name: Authorization
      description: >
        API keys are associated with a user and can be created on the

        [IonQ Quantum Cloud](https://cloud.ionq.com) application. To
        authenticate, prefix your API Key with `apiKey ` and place it in the
        `Authorization` request header. Ex: `Authorization: apiKey your-api-key`

````